# duprow3_action Class Reference

`#include <CoinPresolveDupcol.hpp>`

Inheritance diagram for duprow3_action:
[legend]
Collaboration diagram for duprow3_action:
[legend]

List of all members.

## Classes
struct | action
## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| duprow3_action ()
| duprow3_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_

## Detailed Description

Definition at line 115 of file CoinPresolveDupcol.hpp.

## Constructor & Destructor Documentation

duprow3_action::duprow3_action | ( |  | ) | `[inline, private]`

Definition at line 125 of file CoinPresolveDupcol.hpp.

duprow3_action::duprow3_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 126 of file CoinPresolveDupcol.hpp.

## Member Function Documentation

const char* duprow3_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* duprow3_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void duprow3_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int duprow3_action::nactions_`[private]`

Definition at line 122 of file CoinPresolveDupcol.hpp.

const action* const duprow3_action::actions_`[private]`

Definition at line 123 of file CoinPresolveDupcol.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/CoinUtils/src/CoinPresolveDupcol.hpp